## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDocumentNamedNodeListCache Class Reference

`#include <XercesDocumentNamedNodeListCache.hpp>`

Inheritance diagram for XercesDocumentNamedNodeListCache

Collaboration diagram for XercesDocumentNamedNodeListCache:

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Document DOM_DocumentType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_NodeList DOM_NodeListType

## Public Methods

- XercesDocumentNamedNodeListCache ( const DOM_DocumentType& theXercesDocument, const XercesBridgeNavigator& theNavigator)
- virtual ~XercesDocumentNamedNodeListCache ()

## Protected Methods

- virtual DOM_NodeListType getXercesNodeList (const XalanDOMString& tagname) const
- virtual DOM_NodeListType getXercesNodeList ( const XalanDOMString& namespaceURI, const XalanDOMString& localName) const

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Document XercesDocumentNamedNodeListCache::DOM_DocumentType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_NodeList XercesDocumentNamedNodeListCache::DOM_NodeListType

## Constructor & Destructor Documentation

XercesDocumentNamedNodeListCache::XercesDocumentNamedNodeListCache ( | const DOM_DocumentType & theXercesDocument,
| const XercesBridgeNavigator & theNavigator )

virtual XercesDocumentNamedNodeListCache::~XercesDocumentNamedNodeListCache ( | )`[virtual]`

## Member Function Documentation

virtual DOM_NodeListType XercesDocumentNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[protected, virtual]`

Reimplemented from XercesNamedNodeListCache.

virtual DOM_NodeListType XercesDocumentNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & tagname ) const`[protected, virtual]`

Reimplemented from XercesNamedNodeListCache.

The documentation for this class was generated from the following file:

- XercesDocumentNamedNodeListCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.